Bug 479662 - How to get "dimp" and "kronolith" running?
How to get "dimp" and "kronolith" running?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: horde (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 07:03 EST by Reindl Harald
Modified: 2009-07-14 12:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2009-01-12 07:03:14 EST
Hi

We mirgate from macosx to fedora on our servers and need to get run dimp and kronolith, both packages are missing and i do not know why the downloaded packages from horde.org are not working :-(

I have copied "dimp" to /usr/share/horde/dimp/ and moved the "config"-folder to /etc/horde with symlink as seen in the fedora-packages, but it is not shown.

It would be very smooth to get the two packages with yum....

[root@buildserver:/usr/share/horde/dimp]$ ls
insgesamt 96K
drwxr-xr-x  2 root root 4,0K 2009-01-12 12:49 docs
drwxr-xr-x  3 root root 4,0K 2009-01-12 12:49 js
drwxr-xr-x  6 root root 4,0K 2009-01-12 12:49 lib
drwxr-xr-x 16 root root 4,0K 2009-01-12 12:49 locale
drwxr-xr-x  2 root root 4,0K 2009-01-12 12:49 po
drwxr-xr-x  6 root root 4,0K 2009-01-12 12:49 templates
drwxr-xr-x  6 root root 4,0K 2009-01-12 12:49 themes
lrwxrwxrwx  1 root root   26 2009-01-12 12:57 config -> ../../../../etc/horde/dimp
-rw-r--r--  1 root root  15K 2009-01-12 12:49 COPYING
-rw-r--r--  1 root root 2,2K 2009-01-12 12:49 README
-rw-r--r--  1 root root  12K 2009-01-12 12:49 compose.php
-rw-r--r--  1 root root 1,4K 2009-01-12 12:49 dimple.php
-rw-r--r--  1 root root  23K 2009-01-12 12:49 imp.php
-rw-r--r--  1 root root 2,7K 2009-01-12 12:49 index.php
-rw-r--r--  1 root root 2,9K 2009-01-12 12:49 message.php

[root@buildserver:/usr/share/horde/dimp]$ ls config/
insgesamt 24K
-rw-r--r-- 1 root root 5,1K 2009-01-12 12:49 hooks.php
-rw-r--r-- 1 root root 1,2K 2009-01-12 12:49 menu.php
-rw-r--r-- 1 root root 1,9K 2009-01-12 12:49 portal.php
-rw-r--r-- 1 root root  885 2009-01-12 12:49 prefs.php
-rw-r--r-- 1 root root 4,0K 2009-01-12 12:49 conf.xml
Comment 1 Reindl Harald 2009-03-14 16:06:49 EDT
What about horde in fedora?
It seems not really maintained :-(

Last builds: 
2009-02-25: horde-3.2.1-3.fc11 (only mass rebuild)
2008-06-24: horde-3.2.1-1.fc9

No dimp, no kronolith

last upstream-release: Horde 3.3.3 from 2009-01-29

I dreamed about getting away the webserver from our apple-mail-machine and replace it with horde-packages from fedora but it looks not realistc :-(
Comment 2 Jason Tibbitts 2009-03-15 12:10:46 EDT
As you volunteering to help?
Comment 3 Reindl Harald 2009-03-19 07:31:33 EDT
I'm playing this time on our buildsevrer to get the newest packages including kronolith, dimp and mimp running with spec-Files based on "ingo.spec" from the latest fedora-source-rpms

Maybe i can get maintainer in a later time if needed
But i can not really help if some setup will have problems because i'm happy to get it running and after that im primary user, but seems there are no special patches

I have no idea how this all works in the fedora-build-environment and i would bring the newest version of the horde-apps to all fedora-versions, this is because i have not too much time and in near future i will have health-toubles after operation on my eyes which brings a hard time for the next two years
Comment 4 Reindl Harald 2009-03-19 12:54:13 EDT
Here are my first rebuilds for F9, noarch/php means should also work on F10/F11
http://access.thelounge.net/harry/horde.tar.bz2

Please take a look and give me short help how to get 
maintainer for these packages!

I have fixed the "prefs.php" and "prefs.php.dist"-files now correctly to avoid dirname(__FILE__) outside auf /etc/ which would not work in the fedora-way and also a "#!/usr/local/bin/php" to "#/usr/bin/php" in one of the migration-scripts in the kronolith-packages which added a wrong requirement to /usr/local/bin/php in the package.

The tarball includes the following packages and the srpms for each:
Mar 19 17:51:42 Updated: horde-3.3.3-2.fc9.rh.noarch
Mar 19 17:51:45 Updated: kronolith-2.3-2.fc9.rh.noarch
Mar 19 17:51:51 Updated: imp-4.3.3-2.fc9.rh.noarch
Mar 19 17:51:54 Updated: turba-2.3.1-2.fc9.rh.noarch
Mar 19 17:51:55 Updated: mimp-1.1.1-2.fc9.rh.noarch
Mar 19 17:51:55 Updated: horde-enhanced-3.3.3-2.fc9.rh.noarch
Mar 19 17:51:58 Updated: dimp-1.1.1-2.fc9.rh.noarch
Mar 19 17:52:00 Updated: ingo-1.2.1-2.fc9.rh.noarch
Comment 5 Bug Zapper 2009-06-09 23:28:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:04:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.